Overview | Modules | Class Hierarchy | Classes | Members
# tlp::EdgeExtremityGlyphManager Class Reference `#include <EdgeExtremityGlyphManager.h>` Collaboration diagram for tlp::EdgeExtremityGlyphManager: [legend] List of all members. ## Public Member Functions virtual ~EdgeExtremityGlyphManager () std::string glyphName (int id) int glyphId (std::string name) void loadGlyphPlugins () void loadPlugins (PluginLoader *plug=0) void initGlyphList (Graph **graph, GlGraphInputData *glGraphInputData, MutableContainer< EdgeExtremityGlyph * > &glyphs) void clearGlyphList (Graph **graph, GlGraphInputData *glGraphInputData, MutableContainer< EdgeExtremityGlyph * > &glyphs) ## Static Public Member Functions static EdgeExtremityGlyphManager & getInst () ## Constructor & Destructor Documentation
virtual tlp::EdgeExtremityGlyphManager::~EdgeExtremityGlyphManager | ( |  | ) | `[inline, virtual]`
## Member Function Documentation
void tlp::EdgeExtremityGlyphManager::clearGlyphList | ( | Graph ** | graph,
|  | GlGraphInputData * | glGraphInputData,
|  | MutableContainer< EdgeExtremityGlyph * > & | glyphs
| ) |
| Clear the glyph list
static EdgeExtremityGlyphManager& tlp::EdgeExtremityGlyphManager::getInst | ( |  | ) | `[inline, static]`
| Return the singleton (if the singleton doesn't exist this function create it)
int tlp::EdgeExtremityGlyphManager::glyphId | ( | std::string | name | ) |
| Return the id if glyph with given name
std::string tlp::EdgeExtremityGlyphManager::glyphName | ( | int | id | ) |
| Return the name of glyph with given id
void tlp::EdgeExtremityGlyphManager::initGlyphList | ( | Graph ** | graph,
|  | GlGraphInputData * | glGraphInputData,
|  | MutableContainer< EdgeExtremityGlyph * > & | glyphs
| ) |
| Create the glyph list and store it in glyphs parameter
void tlp::EdgeExtremityGlyphManager::loadGlyphPlugins | ( |  | ) |
| Load glyphs plugins
void tlp::EdgeExtremityGlyphManager::loadPlugins | ( | PluginLoader * | plug = `0` | ) |
| Load glyphs plugins with given PluginLoader

Tulip Software by LaBRI Visualization Team 2001 - 2010